Subject: RE: [mobile-ip] RA Solicitation Response Delay Performance Fatality

From: [email-masked]
Date: Wed, 24 Apr 2002 09:18:41 -0500

Hi Francis and Greg,

   If there is intelligence in the network to assist
   with sending RA's, then I'm happy for that effort to
   be explored,

=> we agree about this, and perhaps we agree too about the superiority
of this approach over fast RS/RA one.

[RP] I think the access point knows when the L2 handoff has been completed (detect the present of the MN over the wireless link), then the access point can immediately send the RA to the MN over the wireless link. In cellular, the wireless link means the dedicated channel, and in this case the access point can even set an indication not to send RA anymore (to save spectrum) until the lifetime closes to expire or the MN turn to be inactive.
 
Thanks.

Rene Purnadi
Phone: +1 972.894.4897
Mobile: +1 972.342.3503
e-mail: [email-masked]

-----Original Message-----
From: ext Francis Dupont [mailto:[email-masked]]
Sent: Wednesday, April 24, 2002 5:42 AM
To: [email-masked]
Cc: Purnadi Rene (NRC/Dallas); [email-masked];
[email-masked]; [email-masked]
Subject: Re: [mobile-ip] RA Solicitation Response Delay Performance
Fatality 

 In your previous mail you wrote:

   I know of several systems where the L2
   Access Point is not an IP device, and therefore
   cannot participate in L3 connectivity (even if it
   knows about a new association).
   
=> this is (with possible very high arrival rate) the only issue
in the scheme I propose. But there are already some cases where
the L2 access point has to participate to L3 stuff:
 - AAA (insecure networks are not so popular :-)
 - many xxx handover enhancements (to trigger RA sending is in fact
   the first step of possible enhancements).

   If there is intelligence in the network to assist
   with sending RA's, then I'm happy for that effort to
   be explored,

=> we agree about this, and perhaps we agree too about the superiority
of this approach over fast RS/RA one.

   but it is not a viable method for some
   widely deployed technologies.
   
=> you have to give concrete examples and don't forget that if current
IEEE 802.11 networks have no deployed good AAA the reason is the lack
of available solutions, and this hole is being filled very quickly.
(for instance if you use LEAP, the radius server can trigger the RA,
in fact if you use address filtering (very common!) the radius server
is used in order to punch holes in filters (messages with the AP for
MAC filters, with the firewall for IP filters, etc). A very easy way
to implement my proposal is to put the radius server on the same link
than the AP and the MN and to send a RS from it).

Regards

[email-masked]